# syntax=docker-registry.wikimedia.org/repos/releng/blubber/buildkit:v0.22.0
version: v4
base: docker-registry.wikimedia.org/python3-bookworm:latest
variants:
  image:
    runs:
      environment:
        PORT: "8000"
        ADDRESS: "127.0.0.1"
        LOG_LEVEL: "info"
    lives:
      in: /app
    builders:
      - python:
          version: python3
          poetry:
            version: "==1.7.1"
          requirements:
            - pyproject.toml
            - poetry.lock

    copies:
      - local
    entrypoint:
      - bash
      - -c
      - poetry run uvicorn
        --factory app.api:create_app
        --workers=2
        --host=$APP_ADDRESS
        --port=$APP_PORT
        --log-level=$APP_LOG_LEVEL
